struct Vector(T)
{
	private T[4] _vector;

	@property
	{
		ref T x() { return _vector[0]; }
		ref T y() { return _vector[1]; }
		ref T z() { return _vector[2]; }
		ref T w() { return _vector[3]; }
	}
}

class Field
{
	GameObject[] gobj;
}

class GameObject
{
	Vector!uint coor;
}